VisualEditor: Add Amazon Silk browser to blacklist
Closed, ResolvedPublic

Description

Copied from English Wikipedia:

When I try to use VisualEditor on my Kindle Fire, the article goes into edit mode, but clicking in the article doesn't bring up the keyboard like it does on an iPad. I'm presuming that aading support for the Kindle Fire's Amazon Silk browser isn't on your to do list now. Could you please add this browser to the blacklist? I would like to keep VE on in my preferences so it works when I'm on my PC but not have VE get in the way while on the Kindle. Thanks! GoingBatty (talk) 02:59, 4 July 2013 (UTC)


Version: unspecified
Severity: minor

bzimport set Reference to bz50777.
Mdennis-WMF created this task.Via LegacyJul 4 2013, 10:48 PM
brion added a comment.Via ConduitJul 5 2013, 2:06 PM

Note that I've got a first-gen Kindle Fire in my collection at the office, if it needs testing. I don't have the newer generations (Android 4-based) though.

brion added a comment.Via ConduitJul 5 2013, 2:57 PM

I found emulator images for the 2nd-gen Kindle Fires and HDs, but they don't include the browser.

*headdesk*

Jdforrester-WMF added a comment.Via ConduitJul 5 2013, 2:59 PM

(In reply to comment #2)

I found emulator images for the 2nd-gen Kindle Fires and HDs, but they don't
include the browser.

*headdesk*

Mostly we just want to verify that any blacklisting we put in jquery.client based on UA string actually works. :-)

brion added a comment.Via ConduitJul 5 2013, 3:57 PM

Well, here's the sample UA strings, plop those in your tests. :)

https://developer.amazon.com/sdk/fire/specifications.html#UserAgentStrings

gerritbot added a comment.Via ConduitJul 5 2013, 4:22 PM

Change 72108 had a related patch set uploaded by Jforrester:
[WIP] Blacklist Amazon Silk

https://gerrit.wikimedia.org/r/72108

Krenair added a comment.Via ConduitFeb 2 2014, 11:04 PM

(In reply to comment #4)

Well, here's the sample UA strings, plop those in your tests. :)

https://developer.amazon.com/sdk/fire/specifications.html#UserAgentStrings

That redirects me to another page without a user agent section...

Jdforrester-WMF added a comment.Via ConduitFeb 3 2014, 1:57 AM

(In reply to comment #6)

(In reply to comment #4)
> Well, here's the sample UA strings, plop those in your tests. :)
>
> https://developer.amazon.com/sdk/fire/specifications.html#UserAgentStrings

That redirects me to another page without a user agent section...

Now apparently moved to:

http://docs.aws.amazon.com/silk/latest/developerguide/user-agent.html

gerritbot added a comment.Via ConduitFeb 3 2014, 8:24 PM

Change 110989 had a related patch set uploaded by Alex Monk:
jquery.client: Recognise Amazon Silk

https://gerrit.wikimedia.org/r/110989

gerritbot added a comment.Via ConduitFeb 7 2014, 10:07 PM

Change 110989 merged by jenkins-bot:
jquery.client: Recognise Amazon Silk browser

https://gerrit.wikimedia.org/r/110989

gerritbot added a comment.Via ConduitFeb 7 2014, 10:25 PM

Change 72108 merged by jenkins-bot:
Blacklist Amazon Silk

https://gerrit.wikimedia.org/r/72108

Add Comment